Qt Cryptographic Architecture: QCA::CSRContext Class Reference

# QCA::CSRContext Class Reference
[QCA provider API]

X.509 certificate request provider. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::CSRContext:

Collaboration diagram for QCA::CSRContext:

[legend]

List of all members.

## Public Member Functions
virtual bool | canUseFormat (CertificateRequestFormat f) const =0
virtual bool | compare (const CSRContext *other) const =0
virtual bool | createRequest (const CertificateOptions &opts, const PKeyContext &priv)=0
| CSRContext (Provider *p)
virtual ConvertResult | fromSPKAC (const QString &s)=0
virtual const CertContextProps * | props () const =0
virtual PKeyContext * | subjectPublicKey () const =0
virtual QString | toSPKAC () const =0

## Detailed Description

X.509 certificate request provider.

Note:
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want CertificateRequest instead.

## Constructor & Destructor Documentation

QCA::CSRContext::CSRContext | ( | Provider * | p | ) | `[inline]`

Standard constructor.

Parameters:

  | p | the provider associated with this context

## Member Function Documentation

virtual bool QCA::CSRContext::canUseFormat | ( | CertificateRequestFormat | f | ) | const`[pure virtual]`

Returns true if the provider of this object supports the specified format, otherwise false.

Parameters:

  | f | the format to test for support for.

virtual bool QCA::CSRContext::compare | ( | const CSRContext * | other | ) | const`[pure virtual]`

Returns true if this certificate request is equal to another certificate request, otherwise false.

Parameters:

  | other | the certificate request to compare with

virtual bool QCA::CSRContext::createRequest | ( | const CertificateOptions & | opts,
|  | const PKeyContext & | priv |
| ) |  |  | `[pure virtual]`

Create a certificate request based on the given options and private key.

Returns true if successful, otherwise false.

If successful, this object becomes the certificate request. If unsuccessful, this object is considered to be in an uninitialized state.

Parameters:

  | opts | the options to set on the certificate
  | priv | the key to be used to sign the certificate

virtual ConvertResult QCA::CSRContext::fromSPKAC | ( | const QString & | s | ) | `[pure virtual]`

Read Netscape SPKAC input and convert it into a certificate request.

Returns QCA::ConvertGood if successful, otherwise some error value.

Parameters:

  | s | the input data

virtual const CertContextProps* QCA::CSRContext::props | ( |  | ) | const`[pure virtual]`

Returns a pointer to the properties of this certificate request.

virtual PKeyContext* QCA::CSRContext::subjectPublicKey | ( |  | ) | const`[pure virtual]`

Returns a copy of this certificate request's public key.

The caller is responsible for deleting it.

virtual QString QCA::CSRContext::toSPKAC | ( |  | ) | const`[pure virtual]`

Convert this certificate request to Netscape SPKAC format, and return the value.

Returns an empty string on error.

The documentation for this class was generated from the following file:

- qcaprovider.h